local M = {}

local function updateGFX()
	local maxRPM = 5500
	if powertrain and powertrain.getDevicesByCategory("engine") and powertrain.getDevicesByCategory("engine")[1] then
		maxRPM = powertrain.getDevicesByCategory("engine")[1].maxRPM - 500
	end
	local range = electrics.values.rpm / (maxRPM / 8)
	local id = 66
	if range == 0 then return end
	if range > 6.5 then id = 67 end
	if range > 8 then range = 8 end
	if range < 3 then range = 3 end

	for _,v in pairs(powertrain.getDevices()) do
		if v.thermals and v.thermals.exhaustEndNodes then
			for _,v2 in pairs(v.thermals.exhaustEndNodes) do
				obj:addParticleByNodesRelative(v2.finish, v2.start, range * -1, id, 0.05, 100.0)
			end
		end
	end
end

M.updateGFX = updateGFX
return M